Summary: A GNU collection of binary utilities.
Name: binutils
Version: 2.11.93.0.2
Release: 1.3.0
Copyright: GPL
Group: Development/Tools
URL: http://sourceware.cygnus.com/binutils
Source: ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
Patch1: binutils-2.11.93.0.2-glibc21.patch
Patch2: binutils-2.11.93.0.2-combreloc-default.patch
Patch3: binutils-2.11.93.0.2-dataseg-align.patch
Patch4: binutils-2.11.93.0.2-dataseg-align2.patch
Patch5: binutils-2.11.93.0.2-eh_frame.patch
Patch6: binutils-2.11.93.0.2-c++-symver.patch
Patch7: binutils-2.11.93.0.2-merge-gc.patch
Patch8: binutils-2.11.93.0.2-alpha-.text.patch
Patch9: binutils-2.11.93.0.2-alias-visibility.patch
Patch10: binutils-2.11.93.0.2-sparc.patch
Patch11: binutils-2.11.93.0.2-SHN_UNDEF.patch
Patch12: binutils-2.11.93.0.2-dataseg-align3.patch
Patch13: binutils-2.11.93.0.2-ia64unw.patch
Patch14: binutils-2.11.93.0.2-sparc-disp.patch

Buildroot: /var/tmp/binutils-root
BuildRequires: texinfo >= 4.0
Prereq: /sbin/install-info
%ifarch ia64
Obsoletes: gnupro
%endif

%description
Binutils is a collection of binary utilities, including ar (for
creating, modifying and extracting from archives), as (a family of GNU
assemblers), gprof (for displaying call graph profile data), ld (the
GNU linker), nm (for listing symbols from object files), objcopy (for
copying and translating object files), objdump (for displaying
information from object files), ranlib (for generating an index for
the contents of an archive), size (for listing the section sizes of an
object or archive file), strings (for listing printable strings from
files), strip (for discarding symbols), and addr2line (for converting
addresses to file and line).

%prep
%setup -q
%patch1 -p0 -b .glibc21
%ifarch %{ix86} alpha ia64 sparc sparc64 s390 s390x ppc
%patch2 -p0 -b .combreloc-default
%endif
%patch3 -p0 -b .dataseg-align
%patch4 -p0 -b .dataseg-align2
%patch5 -p0 -b .eh_frame
%patch6 -p0 -b .c++-symver
%patch7 -p0 -b .merge-gc
%patch8 -p0 -b .alpha-.text
%patch9 -p0 -b .alias-visibility
%patch10 -p0 -b .sparc
%patch11 -p0 -b .SHN_UNDEF
%patch12 -p0 -b .dataseg-align3
%patch13 -p0 -b .ia64unw
%patch14 -p0 -b .sparc-disp

%build
# Binutils come with its own custom libtool
%define __libtoolize echo
%configure --enable-shared
make tooldir=%{_prefix} all info

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
%makeinstall
make prefix=${RPM_BUILD_ROOT}%{_prefix} infodir=${RPM_BUILD_ROOT}%{_infodir} install-info
strip ${RPM_BUILD_ROOT}%{_prefix}/bin/*
gzip -q9f ${RPM_BUILD_ROOT}%{_infodir}/*.info*

#install -m 644 libiberty/libiberty.a ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}
install -m 644 include/libiberty.h ${RPM_BUILD_ROOT}%{_prefix}/include
# Remove Windows/Novell only man pages
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/{dlltool,nlmconv,windres}*

chmod +x ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/lib*.so*

# This one comes from gcc
rm -f ${RPM_BUILD_ROOT}%{_prefix}/bin/c++filt

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/as.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/bfd.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/binutils.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gasp.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ld.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/standards.info.gz

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/as.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/bfd.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/binutils.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gasp.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ld.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/standards.info.gz
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_prefix}/bin/*
%{_mandir}/man1/*
%{_prefix}/include/*
%{_prefix}/%{_lib}/*
%{_infodir}/*info*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.11.93.0.2, Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
